View Issue Details

IDProjectCategoryView StatusLast Update
0004171unrealircdpublic2015-08-08 17:02
ReporterSky-DancerAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4-beta2 
Summary0004171: There is a lot of defines in struct.h are not in use.
DescriptionThere is a lot of defines there in struct.h are not in use like
OPSSetNetAdmin(x)

oflag system must be updated in soon i think (you know there ise a limitation in bitwise operators for binary system).
TagsNo tags attached.
3rd party modules

Activities

katsklaw

2013-02-12 23:26

reporter   ~0017414

This is set in include/struct.h and not used in the source.

scott@laptop:~/unreal$ grep -ir "OPSSetNetAdmin" .
./include/struct.h:#define OPSSetNetAdmin(x) ((x)->oflag |= OFLAG_NETADMIN)


Not used is not the same as not useful though. It may be in place as part of the module API. However, in this case we also have IsNetAdmin and OpIsNetAdmin so we may not need OPSetNetAdmin.

Any Insight from devs?

Sky-Dancer

2013-02-12 23:59

reporter   ~0017416

oflag system is not part of module API now, and some defines not in use.
devs, are there any plan of rewrite the oflag system?
and are there any plan for adding oflag system to Module API system in the future?

syzop

2013-02-19 22:23

administrator   ~0017424

Sky-Dancer: see 0004157 -- which is broader than the title indicates as it's about the whole flag system ;)

It's probably better to do a proper cleanup AFTER the new system is in place.

I seriously doubt that we would still use the same bits system with the new system.

syzop

2015-08-08 17:02

administrator   ~0018631

All the oflags and OP....() stuff is removed in 3.4.x. Marking as fixed.

Issue History

Date Modified Username Field Change
2013-02-12 22:47 Sky-Dancer New Issue
2013-02-12 23:26 katsklaw Note Added: 0017414
2013-02-12 23:59 Sky-Dancer Note Added: 0017416
2013-02-19 22:23 syzop Note Added: 0017424
2015-08-08 17:02 syzop Note Added: 0018631
2015-08-08 17:02 syzop Status new => resolved
2015-08-08 17:02 syzop Fixed in Version => 3.4-beta2
2015-08-08 17:02 syzop Resolution open => fixed
2015-08-08 17:02 syzop Assigned To => syzop